/// <reference types="socket.io-client" />
import React from "react";
import { Views, ViewsToComponents } from "@react-fullstack/fullstack/lib/Views";
interface Props<ViewsInterface extends Views> {
    /**
     * port of the server you want to connect to
     * @example 5000
     */
    port: number;
    /**
     * host of the server you want to connect to
     * @example localhost
     */
    host: string;
    /**
     * client views that the server can use to render your app
     */
    views: ViewsToComponents<ViewsInterface>;
    /**
     * socket.io client options, note: must be passed with the first component mount, updating this prop will have no effect.
     */
    socketOptions?: SocketIOClient.ConnectOpts;
}
declare class Client<ViewsInterface extends Views> extends React.Component<Props<ViewsInterface>> {
    socket: SocketIOClient.Socket;
    componentDidMount: () => void;
    componentWillUnmount: () => void;
    render: () => JSX.Element;
}
export { Client };
